Loading...
Searching...
No Matches
rpcbasic_extractor< T, Tto > Class Template Reference

Templated parent class for registering a ControlPort Extractor. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_extractor (T *source, void(T::*func)(Tto))
Public Member Functions inherited from rpcextractor_base< T, Tto >
| rpcextractor_base (T *source, void(T::*func)(Tto))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members

Protected Attributes inherited from rpcextractor_base< T, Tto >
T * | _source
void(T::* | _func )(Tto)

## Detailed Description

template<typename T, typename Tto>
class rpcbasic_extractor< T, Tto >

Templated parent class for registering a ControlPort Extractor.

## Constructor & Destructor Documentation

## rpcbasic_extractor()

template<typename T, typename Tto>

rpcbasic_extractor< T, Tto >::rpcbasic_extractor | ( | T * | source,
|  | void(T::* | func )(Tto) )

inline

References rpcextractor_base< T, Tto >::rpcextractor_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h